Special:Contributions/Newbies lists contributions by user "Newbies" instead of new account edits
Closed, ResolvedPublic

Description

Author: neil

Description:
Seen on Meta and En.wb following 1.19 upgrade. Keying Special:Contributions/newbies (as linked to from mediawiki:recetnchangestext) now goes to a list of contributions for a user called Newbies as opposed to a list of edits by new accounts.


Version: 1.19
Severity: normal

bzimport set Reference to bz34659.
bzimport created this task.Via LegacyFeb 23 2012, 11:26 PM
aaron added a comment.Via ConduitFeb 23 2012, 11:29 PM

This was deliberate. The url parameter &contribs=newbie is used to get newbie contribs.

bzimport added a comment.Via ConduitFeb 23 2012, 11:34 PM

neil wrote:

(In reply to comment #1)

This was deliberate. The url parameter &contribs=newbie is used to get newbie
contribs.

We'll just change all the interface links then... that'll be fun!

MarkAHershberger added a comment.Via ConduitFeb 24 2012, 2:45 AM

Some sort of consideration should be made for the expected behavior of URLs before changing them.

RobLa-WMF added a comment.Via ConduitFeb 24 2012, 3:26 PM

Committed in r100315. I agree we should probably rework this for this deployment.

aaron added a comment.Via ConduitFeb 24 2012, 11:52 PM

Changed on site in r112366 .

RobLa-WMF added a comment.Via ConduitFeb 25 2012, 12:43 AM

Thanks Aaron! Since this is still going away in 1.20, we'll have to make sure we communicate that well. Let's consult with Guillaume to make sure we get the word out correctly.

MZMcBride added a comment.Via ConduitApr 20 2012, 10:33 PM

Re-opening this bug for now.

Someone needs to do an assessment of how many links this will break on the live Wikimedia wikis, throughout MediaWiki (if "Special:Contributions/newbies") is used in any default messages, and on other MediaWiki installations. "You break it, you fix it" seems like reasonable policy here, I think.

Once an assessment is done, some kind of concerted effort is needed to fix those links before 1.20 is pushed out.

Once that happens, feel free to mark this bug as fixed (again).

RobLa-WMF added a comment.Via ConduitApr 20 2012, 11:34 PM

Lost track of this one. We need to patch 1.20wmf1 with r112366 before deploying to enwiki.

Trijnstel added a comment.Via ConduitApr 21 2012, 12:09 PM

I agree with MZMcBride. I think it's better to undo this change in the software.

RobLa-WMF added a comment.Via ConduitMay 2 2012, 10:31 PM

Aaron ported this to master:
https://gerrit.wikimedia.org/r/#change,6365
...and to 1.20wmf2:
https://gerrit.wikimedia.org/r/#change,6413

So, barring a deliberate action to undo this, it should be safely ensconced in the code for a while.

Note that these URLs do different things:
http://www.mediawiki.org/wiki/Special:Contributions/newbies

...and:
http://www.mediawiki.org/wiki/Special:Contributions/Newbies

The former gives you all contributions by new users, and the latter is contributions by User:Newbies.

bzimport added a comment.Via ConduitMay 27 2012, 9:51 PM

adam wrote:

JIMMY_DONAL_WALES_BACHELOR_OF_SCIENCE_IN_BUSINESS_ADMINISTRATION_AUBURN_UNIVERSITY_1989

attachment ignored as obsolete

Reedy added a comment.Via ConduitMay 27 2012, 10:04 PM

The content of attachment 10662 has been deleted by

Sam Reed (reedy) <sam@reedyboy.net>

without providing any reason.

The token used to delete this attachment was generated at 2012-05-27 22:04:06 UTC.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.